petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSetBlockSize

Sets the matrix block size.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetBlockSize(Mat mat,PetscInt bs)

Logically Collective on Mat Many br

### Input Parameters

| mat | - the matrix Many br
| bs | - block size Many br

### Notes

Block row formats are MATSEQBAIJ, MATMPIBAIJ, MATSEQSBAIJ, MATMPISBAIJ. These formats ALWAYS have square block storage in the matrix. Many br

This must be called before MatSetUp() or MatXXXSetPreallocation() (or will default to 1) and the block size cannot be changed later Many br

Many br

### See Also

MatCreateSeqBAIJ(), MatCreateBAIJ(), MatGetBlockSize(), MatSetBlockSizes(), MatGetBlockSizes()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex55.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html